Subject: Re: [iproute2 1/1] RFC: obsolete direct invocation of police

From: Stephen Hemminger <[email-masked]>
Date: Mon, 6 Oct 2014 10:01:32 -0700

On Mon,  6 Oct 2014 07:46:00 -0400
Jamal Hadi Salim <[email-masked]> wrote:

> From: Jamal Hadi Salim <[email-masked]>
> 
> I realize this may be controversial. I dont think people are still using
> the 1990s syntax anymore. This is one way to test it.
> We want to eventually phase out the kernel hacks for backward compat.
> 
> Signed-off-by: Jamal Hadi Salim <[email-masked]>

I think iproute utilities needs to accept the old syntax and warn about
deprecated syntax use. Later (like 2yr +) the code can be removed.

The old syntax can be removed from all documentation and help messages
now though.